Subject: [trill] DRB Election Holding Time?

From: Arnel Lim <[email-masked]>
Date: Wed, 1 Aug 2012 20:31:20 -0700

Is there any holding time during the DRB election process where an RBridge must wait before becoming the DRB?

________________________________
DISCLAIMER:
This e-mail and any attachments to it may contain confidential and proprietary material and is solely for the use of the intended recipient. Any review, use, disclosure, distribution or copying of this transmittal is prohibited except by or on behalf of the intended recipient. If you have received this transmittal in error, please notify the sender and destroy this e-mail and any attachments and all copies, whether electronic or printed.

---

From: Donald Eastlake <[email-masked]>
Date: Thu, 2 Aug 2012 01:38:36 -0400

There is an inhibition time before it will perform Appointed Forwarder
ingress and egress functions (see RFC 6439) but no delay for other DRB
functions.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 2 Aug 2012 22:43:07 +0000

ISO 10589 Section 8.4.1d states:

d)	After waiting iSISHelloTimer × 2 seconds, run the Level 1 and or the level 2 designated intermediate system election process depending on the Intermediate system type.

This is an initial delay designed to allow acquisition of all the neighbors on the LAN before running the first election. Running the initial election upon acquisition of the first new neighbor would obviously result in inconsistent results until all neighbors were acquired.

RFC 6325 does not speak to this point explicitly (or at least I did not find any language) but I would assume a prudent implementation of DRB election would follow this same rule.

   Les

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Donald Eastlake
> Sent: Wednesday, August 01, 2012 10:39 PM
> To: Arnel Lim
> Cc: [email-masked]
> Subject: Re: [trill] DRB Election Holding Time?
> 
> _______________________________________________
> trill mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trill